#######################################################
# MAKEFILE for building BCB compatibile litgen.lib&h  #
#            and DELPHI 5/6 compatibile litgen.pas    #
#                                                     #
# (c) 2002 by Darko Miletic                           #
# e-mail: kiklop@eunet.yu                             # 
#######################################################
.autodepend

#Borland C++ Builder or Free command line tools root 
BCCROOT=C:\Borland\BCC55
BCCBIN=$(BCCROOT)\Bin

#DELPHI root
DELROOT6=C:\Progra~1\Borland\Delphi6
DELROOT5=C:\Progra~1\Borland\Delphi5

#Tlibimp path
TLB6=$(DELROOT6)\Bin\tlibimp
TLB5=$(DELROOT5)\Bin\tlibimp

#C compile flags
CFLAGS=-q -Od -v -VF -w-aus -w-sus -w-pia -w-rch -w-ccc -D$(USERDEFINES);$(SYSDEFINES) -I$(INCDIR)

#Midl flags
MOPTS=/nologo /win32 /ms_ext /c_ext /Oicf /W1 /client none /server none /error all /Zp8
#MFLAGS2=$(MOPTS2) /I$(INCDIR) /cpp_cmd $(CP) /cpp_opt "-oCON -I$(INCDIR) -D__MKTYPLIB__"

INCDIR=$(BCCROOT)\Include;$(BCCROOT)\Include\Idl
SRC=.
OBJ=.
BIN=.
SYSDEFINES=
USERDEFINES=_WINVER=0x0400;_WIN32_WINNT=0x0400;STRICT;_MBCS;_DEBUG;WIN32

################################
# Target
################################
PROJECT=$(BIN)\litgen.lib
IDLFILES=$(OBJ)\litgen.c
OBJFILES=$(OBJ)\litgen.obj
TLBS=$(OBJ)\litgen.tlb
RESFILES=
LIBFILES=
DEFFILE=
BCC32STARTUP=
BCC32RTLIB=cw32.lib
ALLOBJS=$(BCC32STARTUP) $(OBJFILES)
ALLLIBS=$(LIBFILES) import32.lib $(BCC32RTLIB)

all: dirs $(PROJECT) cleanobj

cleanobj:: 
	-@echo Deleting intermediate files for project
	-@del $(OBJ)\*.obj
	-@del $(OBJ)\*.tlb
	-@del $(OBJ)\*.c

cleandobj:: 
	-@echo Deleting intermediate files for project
	-@del $(OBJ)\*.tlb
	-@del $(OBJ)\*.c
	-@del $(OBJ)\*.h
	-@del $(OBJ)\*.dcr

cleantgt::
	-@echo Deleting output files for project
	-@del $(PROJECT)

cleanidl::
	-@echo Deleting idl files for project
	-@del $(OBJ)\*.idl

clean: cleanobj cleantgt

cleanall: clean cleanidl

dirs::
	-@echo Creating output directory
	-@md $(OBJ)

delphi6: delphi6_tlb cleandobj

delphi5: delphi5_tlb cleandobj

##################################
# Output for BCC
##################################
$(PROJECT): $(IDLFILES) $(OBJFILES)
	@$(LB) $(BIN)\litgen.lib /a$(OBJFILES)


##################################
# Output for Delphi6
##################################
delphi6_tlb:: $(TLBS)
	@$(TLB6) -C- -P+ -Ha- -Hr- -Hs- -D$(OBJ) -Fe- litgen.tlb

##################################
# Output for Delphi5
##################################
delphi5_tlb: $(TLBS)
	@$(TLB5) -C- -E- -H- -I- -P+ -L- -Q- -R- -A- -D$(OBJ) litgen.tlb

#Dependencies - explicit rules
$(OBJ)\litgen.c: $(SRC)\litgen.idl
$(OBJ)\litgen.tlb: $(SRC)\litgen.idl

